#
# building:
# https://github.com/hashicorp/vault#developing-vault
#
# Conditional build:
%bcond_without	tests	# build without tests

Summary:	A tool for managing secrets
Name:		vault
Version:	0.11.4
Release:	1
License:	MPL-2.0
Group:		Applications/System
Source0:	https://github.com/hashicorp/vault/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e4e33bcdb58af5b39793a8e7b2ed49f9
URL:		https://vaultproject.io/
BuildRequires:	golang >= 1.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_enable_debug_packages 0
%define		gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%define		gopath		%{_libdir}/golang
%define		import_path	github.com/hashicorp/vault

%description
Vault is a tool for securely accessing secrets. A secret is anything
that you want to tightly control access to, such as API keys,
passwords, certificates, and more. Vault provides a unified interface
to any secret, while providing tight access control and recording a
detailed audit log.

%prep
%setup -q

install -d src/$(dirname %{import_path})
ln -s ../../.. src/%{import_path}

%build
export GOPATH=$(pwd)

base=%{import_path}/version
LDFLAGS="-X $base.Version=%{version} -X $base.VersionPrerelease=%{release}"
%gobuild -o bin/%{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p bin/%{name} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/vault
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vault.git;a=log;h=master

* Wed Oct 24 2018 Adam Gołębiowski <adamg@pld-linux.org> d1055c8
- updated to 0.11.4

* Mon May 22 2017 Elan Ruusamäe <glen@delfi.ee> 3a9479f
- up to 0.7.2

* Thu Dec 15 2016 Elan Ruusamäe <glen@delfi.ee> 9a53f01
- embed version info to binary

* Thu Dec 15 2016 Elan Ruusamäe <glen@delfi.ee> ff5909a
- up to 0.6.3 (December 6, 2016)

* Fri Dec 02 2016 Elan Ruusamäe <glen@delfi.ee> 2e331c3
- up to 0.6.2 (October 5, 2016)

* Tue Sep 27 2016 Elan Ruusamäe <glen@delfi.ee> 840273c
- new, version 0.5.3

